: "${PHC_PLEX_SECRET_TOKEN:?Must set PHC_SECRET_TOKEN env variable}"
: "${PHC_HEALTHCHECK_URL:?Must set PHC_HEALTHCHECK_URL env variable}"
: "${PHC_HEALTHCHECK_ID:?Must set PHC_HEALTHCHECK_ID env variable}"
: "${PHC_PLEX_URL:?Must set PHC_PLEX_URL env variable}"

URL="${PHC_PLEX_URL}/connections?X-Plex-Token=${PHC_PLEX_SECRET_TOKEN}"

ping_hc() {
  curl -fsS -m 10 --retry 5 -o /dev/null --data-raw "$2" "${PHC_HEALTHCHECK_URL}/ping/${PHC_HEALTHCHECK_ID}/$1"
}

connections=$(set -x; { wget --no-check-certificate -nv -O - "$URL"; } 2>&1)
ping_hc "$?" "$connections"